package com.example.tasks.screens

import androidx.compose.foundation.background
import androidx.compose.foundation.layout.Arrangement
import androidx.compose.foundation.layout.Column
import androidx.compose.foundation.layout.Spacer
import androidx.compose.foundation.layout.fillMaxSize
import androidx.compose.foundation.layout.fillMaxWidth
import androidx.compose.foundation.layout.height
import androidx.compose.foundation.shape.RoundedCornerShape
import androidx.compose.material3.Button
import androidx.compose.material3.ButtonColors
import androidx.compose.material3.Text
import androidx.compose.runtime.Composable
import androidx.compose.ui.Alignment
import androidx.compose.ui.Modifier
import androidx.compose.ui.draw.clip
import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.Shape
import androidx.compose.ui.text.font.FontWeight
import androidx.compose.ui.tooling.preview.Preview
import androidx.compose.ui.unit.dp
import androidx.compose.ui.unit.sp
import androidx.navigation.NavController
import com.example.tasks.navigation.Screen
@Composable
fun Start(navController: NavController) {
    Column(
        modifier = Modifier.fillMaxSize().background(Color(0xFF951DDD)),
        verticalArrangement = Arrangement.SpaceAround,
        horizontalAlignment = Alignment.CenterHorizontally
    ) {
        Text(
            text = "ДИКИЕ ЯГОДЫ",
            fontWeight = FontWeight.Black,
            fontSize = 30.sp,
            color = Color.White
        )
        Column {
            Button(
                onClick = {navController.navigate(Screen.SignIn.route) },
                modifier = Modifier
                    .fillMaxWidth(0.9f)
                    .height(50.dp),
                shape = RoundedCornerShape(20),
                colors = ButtonColors(
                    contentColor = Color(0xFF951DDD),
                    containerColor = Color.White,
                    disabledContentColor = Color(0xFF951DDD),
                    disabledContainerColor = Color.White
                )
            ) {
                Text(text = "Вход по одноразовому коду",fontSize = 20.sp, fontWeight = FontWeight.Bold)
            }
            Spacer(modifier = Modifier.height(20.dp))
            Button(
                onClick = {navController.navigate(Screen.SignInPassword.route) },
                modifier = Modifier
                    .fillMaxWidth(0.9f)
                    .height(50.dp),
                shape = RoundedCornerShape(20),
                colors = ButtonColors(
                    contentColor = Color(0xFF951DDD),
                    containerColor = Color.White,
                    disabledContentColor = Color(0xFF951DDD),
                    disabledContainerColor = Color.White
                )
            ) {
                Text(text = "Вход по паролю",fontSize = 20.sp, fontWeight = FontWeight.Bold)
            }
            Spacer(modifier = Modifier.height(20.dp))
            Button(
                onClick = {navController.navigate(Screen.SignUpPassword.route) },
                modifier = Modifier
                    .fillMaxWidth(0.9f)
                    .height(50.dp),
                shape = RoundedCornerShape(20),
                colors = ButtonColors(
                    contentColor = Color(0xFF951DDD),
                    containerColor = Color.White,
                    disabledContentColor = Color(0xFF951DDD),
                    disabledContainerColor = Color.White
                )
            ) {
                Text(text = "Регистрация по паролю",fontSize = 20.sp, fontWeight = FontWeight.Bold)
            }
        }

    }

}